# make covariates once
obs <- 5399 
set.seed(6252007)
ones <- rep(1,obs)
time <- rnorm(obs,0, sqrt(0.6)) 
vote <- runif(obs)*100-50
var1.mean <- 0.2 #var=0.16
var2.mean <- 0.4 #var=0.24
var3.mean <- 0.02 #redist
var4.mean <- 0.014 #scandal 0.01370624
var1  <- rbinom(obs,1,var1.mean)-var1.mean #var=0.16
var2  <- rbinom(obs,1,var2.mean)-var2.mean #var=0.2
var3  <- rbinom(obs,1,var3.mean)-var3.mean #var=0.01
var4  <- rbinom(obs,1,var4.mean)-var4.mean #var=0.01
x <- cbind(ones,time,var1,var2,var3,vote,var4)

sim <- 1000 
beta0 <- c(-3.5, 1.3) 
beta1 <- c(-3.4, 0.6, 1.3,-1.4)
beta2 <- c(-4.4, 0.3,-0.2, 0.2)
beta3 <- c(-3.5,-0.3,   0,   0, 1.56, -0.06,3.16)
sigma32 <- 0.3 
sigma31 <- -0.01 
sigma30 <- 0.18 
sigma10 <- 0.08 
b <- (-4:2) 
b.num <- length(b)

# check if variables are the same as those of the real data (footnote 12)
gg00 <- x[,2]*beta0[2]
gg1 <- x[,3:4]%*%beta1[3:4]
gg2 <- x[,3:4]%*%beta2[3:4]
gg3 <- x[,5:7]%*%beta3[5:7]

MC.beta.out <- list()
b.vote <- c(-0.06,-0.1) 
for (v in 1:length(b.vote)){
MC.beta.out[[v]] <- list() 
beta3[6] <- b.vote[v] 
for(j in 1:b.num){
beta0[1] <- b[j]
set.seed(7112007+(j*10000)+(v*100000)) ##
MC3.beta.out[[v]][[j]] <- MC.ext(obs,sim,beta0,beta1,beta2,beta3,sigma32,sigma31,sigma30,sigma10,x,v,j)
save.image("MC.0.1-0.Rdata") ##
#save(MC.beta.out,"MC.0.1-0.Rdata")
}
}
