# the lines which are different from MC.ext.x.y-z.r ends with "# differ"

MC.ext.omit <- function(obs,sim,beta0,beta1,beta2,beta3,sigma32,sigma31,sigma30,sigma10,x,v,j){
# probabilities: deterministic nested dependent risks
h0 <- x[,1:2]%*%beta0
h1 <- x[,1:4]%*%beta1
h2 <- x[,1:4]%*%beta2
h3 <- x%*%beta3
# base hazard 
xb1 <- h1-beta1[1]-(beta1[2]*x[,2])
xb2 <- h2-beta2[1]-(beta2[2]*x[,2])
xb3 <- h3-beta3[1]-(beta3[2]*x[,2])
# correlated risks
cum.p0 <- exp(h0+(sigma30*xb3)+(sigma10*xb1))/(1+exp(h0+(sigma30*xb3)+(sigma10*xb1))+exp(h1+(sigma31*xb3)))
p1 <- exp(h1+(sigma31*xb3))/(1+exp(h0+(sigma30*xb3)+(sigma10*xb1))+exp(h1+(sigma31*xb3)))
p2 <- 1/(1+exp(-(h2+(sigma32*xb3))))
p3 <- 1/(1+exp(-h3))
cum.p1 <- cum.p0 + p1
cum.p2 <- 1-((1-cum.p1)*(1-p2))
cum.p3 <- 1-((1-cum.p2)*(1-p3))

# make dependent variable
prob <- runif(obs*sim)
y <- rep(4,(obs*sim))
y[prob<rep(cum.p3,sim)] <- 3
y[prob<rep(cum.p2,sim)] <- 2
y[prob<rep(cum.p1,sim)] <- 1
y[prob<rep(cum.p0,sim)] <- 0
y2 <- y + 1
y2[y==4] <- 0
y <- matrix(y,obs,sim)
y2 <- matrix(y2,obs,sim)

x <- x[,1:7] # differ

# estimate model parameters
naiive.par <- naiive.se <- matrix(NA,sim,28)
my.par <- matrix(NA,sim,21)
my.hessian <- list()
naiive.value <- my.value <- array()
for (s in 1:sim){
cat(v,"th vote",j,"th beta",s,"th simulation","\n")
try(naiive.out <- multinom(y2[,s] ~ x[,-1]))
try(my.out <- multi.risk.box.rho4(y[,s] ~ x[,2], ~ x[,2:4], ~ x[,2:4], ~ x[,-1]))
try(summary.naiive.out <- summary(naiive.out)) 
try(naiive.par[s,] <- t(summary.naiive.out$coefficients))
try(my.par[s,] <- my.out$par)
try(naiive.se[s,] <- t(summary.naiive.out$standard.errors))
try(my.hessian[[s]] <- my.out$hessian)
try(naiive.value[s] <- naiive.out$value)
try(my.value[s] <- my.out$value)
}
out <- list()
out$naiive.par <- naiive.par 
out$my.par <- my.par 
out$naiive.se <- naiive.se 
out$my.hessian <- my.hessian 
out$naiive.value <- naiive.value 
out$my.value <- my.value 
out$y <- y
out$cum.p <- cbind(cum.p0,cum.p1,cum.p2,cum.p3)
out
}

