############
# figures

attach(Jones.data)
library(nnet)

naiive.par <- t(summary(multinom.out)$coefficients)
priorm.sim <- seq(0,1000)/10
obs <- length(priorm.sim)
ones <- rep(1,obs)
zeros <- rep(0,obs)
age.sim <- rep(mean(age),obs)

x.sim.3 <- cbind(ones,zeros,zeros,zeros, zeros,zeros, zeros,zeros,age.sim,priorm.sim)
x.sim.2 <- cbind(ones,zeros,zeros,                   zeros, zeros)
x.sim.1 <- cbind(ones,zeros,zeros,                   zeros, zeros,zeros,age.sim)
x.sim.0 <- cbind(ones,zeros,zeros,                                      zeros,age.sim)
x.sim <- cbind(ones,zeros,zeros, zeros,zeros, zeros,zeros,age.sim,priorm.sim,zeros)

x.sim.redist.3 <- cbind(ones,zeros,zeros,ones,zeros,zeros,zeros,zeros,age.sim,priorm.sim)
x.sim.redist <-   cbind(ones,      zeros,ones,zeros,zeros,zeros,zeros,age.sim,priorm.sim,zeros)

x.sim.scandal.3 <- cbind(ones,zeros,zeros,zeros,ones,zeros,zeros,zeros,age.sim,priorm.sim)
x.sim.scandal <-   cbind(ones,      zeros,zeros,ones,zeros,zeros,zeros,age.sim,priorm.sim,zeros)

y <- 0
exp.xb <- exp(x.sim%*%naiive.par)
naiive.prob <- exp.xb/(1+apply(exp.xb,1,sum))
my.prob <- prob.multi.rho4(out.rho4$par, y, x.sim.0, x.sim.1, x.sim.2, x.sim.3)

exp.xb.redist <- exp(x.sim.redist%*%naiive.par)
naiive.prob.redist <- exp.xb.redist/(1+apply(exp.xb.redist,1,sum))
my.prob.redist <- prob.multi.rho4(out.rho4$par, y, x.sim.0, x.sim.1, x.sim.2, x.sim.redist.3)

exp.xb.scandal <- exp(x.sim.scandal%*%naiive.par)
naiive.prob.scandal <- exp.xb.scandal/(1+apply(exp.xb.scandal,1,sum))
my.prob.scandal <- prob.multi.rho4(out.rho4$par, y, x.sim.0, x.sim.1, x.sim.2, x.sim.scandal.3)

mine <- my.prob
naiive.prob.cond <- naiive <- naiive.prob
naiive.prob.cond[,2] <- naiive[,2]/(1-apply(naiive[,3:4],1,sum))
naiive.prob.cond[,1] <- naiive[,1]/(1-apply(naiive[,2:4],1,sum))
my.dif <- (mine[2:obs,1]-mine[1:(obs-1),1])/(mine[2:obs,4]-mine[1:(obs-1),4])
naiive.dif <- (naiive.prob.cond[2:obs,3]-naiive.prob.cond[1:(obs-1),3])/(naiive.prob.cond[2:obs,1]-naiive.prob.cond[1:(obs-1),1])
naiive.prob.cond[,1] <- naiive[,1]/(1-apply(naiive[,2:4],1,sum))
pdf(file="StrategicRetirement.pdf", width=7, height=8, pointsize=12)
plot(mine[1:(obs-1),4],my.dif,type='l',xlab="Conditional General Election Defeat Probability (h_3)",ylab="Strategic Retirement Responsiveness (d h_1(b)/d h_3)",ylim=c(-0.05,0.1),xlim=c(0,0.9))#9/10/08 ylim=c(-0.05,0.05),
#plot(mine[1:(obs-1),4],my.dif,type='l',xlab="Conditional General Election Defeat Probability (h_3)",ylab="Retirement Probability (h_1(b))",ylim=c(-0.1,0.1),xlim=c(0,0.9))
lines(naiive.prob.cond[1:(obs-1),1],naiive.dif,lty=1)
abline(0,0)

mine <- my.prob.redist
naiive.prob.cond <- naiive <- naiive.prob.redist
#lines(mine[,4],mine[,1],col=2)
#lines(naiive.prob.cond[,1],naiive.prob.cond[,3],lty=2,col=2)
my.dif <- (mine[2:obs,1]-mine[1:(obs-1),1])/(mine[2:obs,4]-mine[1:(obs-1),4])
naiive.dif <- (naiive.prob.cond[2:obs,3]-naiive.prob.cond[1:(obs-1),3])/(naiive.prob.cond[2:obs,1]-naiive.prob.cond[1:(obs-1),1])
lines(mine[1:(obs-1),4],my.dif)
lines(naiive.prob.cond[1:(obs-1),1],naiive.dif,lty=2)

mine <- my.prob.scandal
naiive.prob.cond <- naiive <- naiive.prob.scandal
#lines(mine[,4],mine[,1],col=3)
#lines(naiive.prob.cond[,1],naiive.prob.cond[,3],lty=2,col=3)
my.dif <- (mine[2:obs,1]-mine[1:(obs-1),1])/(mine[2:obs,4]-mine[1:(obs-1),4])
naiive.dif <- (naiive.prob.cond[2:obs,3]-naiive.prob.cond[1:(obs-1),3])/(naiive.prob.cond[2:obs,1]-naiive.prob.cond[1:(obs-1),1])
lines(mine[1:(obs-1),4],my.dif,lwd=4)
lines(naiive.prob.cond[1:(obs-1),1],naiive.dif,lty=2,lwd=4)

legend(0.2,0.08,legend=c("SDCR","MNL(baseline)","MNL(Redistrict=1)","MNL(Scandal=1)"),lty=c(1,1,2,2),lwd=c(4,1,1,4),bty="n")

dev.off()
