multinom.robust.sde <- function(multinom.out,y,x,id){
  summary.multinom.out <- summary(multinom.out)
  coef <- summary.multinom.out$coefficients
  risk.num <- nrow(coef)
  var.num <- ncol(coef)
  par.num <- var.num*risk.num
  pr <- multinom.out$fitted.values
  obs <- nrow(pr)
    #variance covariance matrix
  cov <- solve(multinom.out$Hessian)
  #u: contirbution of L_i = \partial log h_r / \partial \theta |\theta=\theta_MLE
  u <-  matrix(0,obs,par.num)
  for(r in 1:risk.num){
    u[y==r,c((((r-1)*var.num)+1):(r*var.num))] <- (x*(1-pr[,(r+1)]))[y==r,]
  }
  # calculate
  cid <- unique(id)
  nc<- length(cid)
  u.sq <- matrix(0,par.num,par.num)
  u.dummy <- matrix(0,nc,par.num)
  u <- rbind(u,u.dummy)
  id <- c(id,cid)
  for(c in 1:nc){
    #summing scores within ids
    uc <- apply(u[id==cid[c],],2,sum)
    #summing scores across ids
    u.sq <- u.sq + (uc%*%t(uc))
  }
  #robust variance covariance matrix
  robust.cov <- cov%*%u.sq%*%cov
  return(robust.cov)
}



