###################
# Multinomial Logit
multinom.out <- multinom(event ~ rep + redist + scandal + opengov + opensen + leader + age + priorm + log.duration,Hess=T)
summary.multinom.out <- summary(multinom.out)
coef <- t(summary.multinom.out$coefficients)
se <- t(summary.multinom.out$standard.errors)
# BIC
obs <- length(multinom.out$residuals)/5
npar <- multinom.out$AIC/2-multinom.out$value
multinom.out$bic <- ((log(obs)*npar)+(multinom.out$value*2))/obs
# delete observations which have missing values
na <- summary.multinom.out$na.action
detach(Jones.data)
Jones.data <- Jones.data[-na,]
attach(Jones.data)
log.duration <- log.duration[-na]
exittype <- exittype[-na]
# Robust Standard Error
covariates <- cbind(rep(1,nrow(Jones.data)), rep, redist, scandal, opengov, opensen, leader, age, priorm, log.duration)
multinom.robust.sde.out <- multinom.robust.sde(multinom.out,event,covariates,memberid)
rse <- sqrt(diag(multinom.robust.sde.out))

########################
# Upper Panel of Table 1

table.BJ <- matrix(NA,10,12)
rownames(table.BJ) <- c("Constant","Party","Redistrict","Scandal","Open Gub.","Open Sen.","Leadership","Age","Prior Margin","\\log(t)")
colnames(table.BJ) <- c("General","RSE","NA","Primary","RSE","NA","Retire","RSE","NA","Ambition","RSE","NA")

# significance
z.value <- coef/rse
p.value <- 2*(0.5-abs(pnorm(z.value)-0.5))
star <- array()
star[p.value < 0.05] <- c("*")
star[p.value < 0.01] <- c("**")

for(r in 1:4){
  table.BJ[,(((r-1)*3)+1)] <- coef[(((r-1)*10)+1):(r*10)]
  table.BJ[,(((r-1)*3)+2)] <-  rse[(((r-1)*10)+1):(r*10)]    
  }
table.BJ.star <- round(table.BJ,2)
for(r in 1:4){
  table.BJ.star[,(r*3)] <- star[(((r-1)*10)+1):(r*10)]
  }
table.BJ.star <- table.BJ.star[c(2:10,1),]
