# common auxiliary file

#########################################
# making table  
make.table <- function(out){
se <- sqrt(diag(-solve(out$hessian)))
z0 <- out$par/se
p0 <- 2*(0.5-abs(pnorm(z0)-0.5))
res <- round(cbind(out$par, se, z0, p0),3)
res
}

make.table.robust <- function(out,robust.cov){
se.norob <- sqrt(diag(-solve(out$hessian)))
se <- sqrt(diag(robust.cov))
z0 <- out$par/se
p0 <- 2*(0.5-abs(pnorm(z0)-0.5))
res <- cbind(out$par, se.norob, se, z0, p0)
res
}

aic <- function(out){
(length(out$par)-out$value)*2
}

bic <- function(out){
n <- nrow(out$X0)
((log(n)*length(out$par))-(out$value*2))/n
}

present <- function(out.Jones){
out.Jones.robust.cov <- robust(out.Jones$hessian, memberid, out.Jones$par, out.Jones$Y, out.Jones$X0, out.Jones$X1, out.Jones$X2, out.Jones$X3)
round(make.table.robust(out.Jones,out.Jones.robust.cov)[,c(1,3,5)],3)
}
