##########################################
# estimator codes and libraries are loaded

# SDCR codes
source("rho4.0.1-0.r") 
# for multinomial logit
library(nnet)

########################
# Monte Carlo simulation

# you may increase memory size
memory.limit(4000) 
# You may run the following code and execute Monte Carlo simulation,
# though it takes my computer 1 week!
# source("MC.ext.0.1-0.r")
# source("MC.0.1-0.r")

# Instead, I recommend you use the result file I made
load("MC.0.1-0.Rdata")

# check if the real data and the Monte Carlo simulation are comparable (footnote 13)
# these are variance of(x_r beta_r) of the Monte Carlo simulation
round(var(gg1),2)
round(var(gg2),2)
round(var(gg3),2)
# since x_0 is empty, variance of (x_0 beta_0) is zero.
# instead, variance of [tau_{1(b)} log(t)] is calculated
round(var(gg00),2) 
# variance of log(t)
round(var(time),1)

# make Figures 1-3
source("makeMCfigure.0.1-0.r")

# When $\tilde{\alpha}_{1(b)}$ is $1$, the coefficient estimates of Redistrict and Scandal
# can be negative with the probability of 3 \% and 1 \%, respectively. (p. 19)
MC2.out <- MC3.beta.out[[1]] # b_vote=-0.06
naiive.par <- na.omit(MC2.out[[6]]$naiive.par) # alpha_1(b)=1
mean(naiive.par[,26]<0) # Redistrict
mean(naiive.par[,28]<0) # Scandal
