out.rho4 <- multi.risk.box.rho4(exittype
                            ~ log.duration + rep +                                        leader + age          , # retire
                            ~ log.duration + rep +                    opengov + opensen + leader + age          , # ambition
                            ~ log.duration + rep +                    opengov + opensen                         , # primary
                            ~ log.duration + rep + redist + scandal + opengov + opensen + leader + age + priorm ) # general

############
# table.rho4 

table.rho4 <- matrix(NA,12,12)
rownames(table.rho4) <- c("Constant","\\log(t)","Republican","Redistrict","Scandal","Open Gub.","Open Sen.","Leadership","Age","Prior Margin","$\\gamma$ General","$\\gamma$ Ambition")
colnames(table.rho4) <- c("General","RSE","NA","Primary","RSE","NA","Retire","RSE","NA","Ambition","RSE","NA")

se <- sqrt(diag(robust.rho4(out.rho4$hessian, memberid, out.rho4$par, out.rho4$Y, out.rho4$X0, out.rho4$X1, out.rho4$X2, out.rho4$X3)))
z.value <- out.rho4$par/se
p.value <- 2*(0.5-abs(pnorm(z.value)-0.5))
star <- array()
star[p.value < 0.05] <- c("*")
star[p.value < 0.01] <- c("**")

table.rho4[c(1:3,8:9),7] <- out.rho4$par[1:5]
table.rho4[c(1:3,6:9),10] <- out.rho4$par[6:12]
table.rho4[c(1:3,6:7),4] <- out.rho4$par[13:17]
table.rho4[1:10,1] <- out.rho4$par[18:27]
table.rho4[11,c(4,10,7)] <- out.rho4$par[28:30]
table.rho4[12,7] <- out.rho4$par[31]

table.rho4[c(1:3,8:9),8] <- se[1:5]
table.rho4[c(1:3,6:9),11] <- se[6:12]
table.rho4[c(1:3,6:7),5] <- se[13:17]
table.rho4[1:10,2] <- se[18:27]
table.rho4[11,c(5,11,8)] <- se[28:30]
table.rho4[12,8] <- se[31]
table.rho4.star <- round(table.rho4,2)

table.rho4.star[c(1:3,8:9),9] <- star[1:5]
table.rho4.star[c(1:3,6:9),12] <- star[6:12]
table.rho4.star[c(1:3,6:7),6] <- star[13:17]
table.rho4.star[1:10,3] <- star[18:27]
table.rho4.star[11,c(6,12,9)] <- star[28:30]
table.rho4.star[12,9] <- star[31]
table.rho4.star[c(1:10),] <- table.rho4.star[c(3:10,2,1),]
rownames(table.rho4.star) <- c("Republican","Redistrict","Scandal","Open Gub.","Open Sen.","Leadership","Age","Prior Margin","\\log(t)","Constant","$\\gamma$ General","$\\gamma$ Ambition")
