# Simple SDCR (Table 2)
out.rho1 <- multi.risk.box.rho1(exittype 
~ log.duration + rep +                         + opengov + opensen + leader + age              , # retire
~ log.duration + rep + redist + scandal + opengov + opensen + leader + age + priorm , # ambition
~ log.duration + rep + redist + scandal + opengov + opensen + leader + age + priorm , # primary
~ log.duration + rep + redist + scandal + opengov + opensen + leader + age + priorm ) # general

# Unrestricted Model (Table 2)
out.rho0 <- multi.risk.box.rho0(exittype 
~  log.duration + rep + redist + scandal + opengov + opensen + leader + age + priorm)

####################
# model fit (Table 2)

fit <- matrix(NA,4,3)

fit[1,1] <- -multinom.out$value
fit[1,2] <- multinom.out$AIC
fit[1,3] <- multinom.out$bic

fit[2,1] <- out.rho4$value
fit[2,2] <- aic(out.rho4)
fit[2,3] <- bic(out.rho4)

fit[3,1] <- out.rho1$value
fit[3,2] <- aic(out.rho1)
fit[3,3] <- bic(out.rho1)

fit[4,1] <- out.rho0$value
fit[4,2] <- aic(out.rho0)
fit[4,3] <- bic(out.rho0)

# make comparison easy
fit[,1] <- -2*fit[,1] 
fit[,3] <- fit[,3]*nrow(Jones.data)

rownames(fit) <- c("Mulinomial Logit","Mine","Simple","Unrestricted")
colnames(fit) <- c("-2 Log Likelihood","AIC","BIC $\times N$")



